/**
 * 分页
 */
export default {
  data(){
    return{
      pageSize: 10,
      currentPage: 1,
      pageTotal: 0,
      pageSizes: [10, 20, 50, 100],
    }
  },
  methods: {
    handleSizeChange(val) {
      this.pageSize = val
      this.currentPage = 1
      this.getList()
    },
    handleCurrentChange(val) {
      this.currentPage = val
      this.getList()
    },
    indexCreate(row, column, cellValue, index) {
      return index + 1 + this.pageSize*(this.currentPage - 1)
    }
  }
}
