import axios from "axios"
import qs from "qs"
import {getCookie} from '../service/cookie'

export function vaildJWT(token) {
  let data = {
    token
  }
  return axios.post('/jwt/vaildJWT', qs.stringify(data))
}

export function Logout() {
  let data = {
    token: getCookie('m_token')
  }
  return axios.post('/user/logOut', qs.stringify(data))
}

export function GetUserAuthority() {
  let data = {
    token: getCookie('m_token')
  }
  return axios.post('user/getUserAuthority', qs.stringify(data))
}
