import axios from "axios"
import qs from "qs"
import {getCookie} from '../service/cookie'

export function AddDepartment(formInLine) {
  let data = {
    token: getCookie("m_token"),
    ...formInLine
  }
  return axios.post('user/addDepartment', qs.stringify(data))
}

export function UpdateDepartment(formInLine) {
  let data = {
    token: getCookie("m_token"),
    ...formInLine
  }
  return axios.post('user/updateDepartment', qs.stringify(data))
}

export function DeleteDepartment(departmentId) {
  let data = {
    token: getCookie("m_token"),
    departmentId
  }
  return axios.post('user/deleteDepartment', qs.stringify(data))
}