import axios from "axios"
import qs from "qs"

export function GetUserLogList(pageSize, pageIndex, departmentId, startTime, endTime) {
  let data = {pageSize, pageIndex}
  if(departmentId) { data = { ...data, departmentId } }
  if(startTime) { data = { ...data, startTime} }
  if(endTime) { data = { ...data, endTime} }
  return axios.post('log/getUserLogList', qs.stringify(data))
}

export function GetSystemLogList(pageSize, pageIndex, userName, source, startTime, endTime) {
  let data = {pageSize, pageIndex}
  if(userName) { data = { ...data, userName } }
  if(source) { data = { ...data, source } }
  if(startTime) { data = { ...data, startTime} }
  if(endTime) { data = { ...data, endTime} }
  return axios.post('/log/getSystemLogList', qs.stringify(data))
}
